Subject: Re: MPC8272 FCC2 MDIO on Port D and FS_ENET

From: NM <[email-masked]>
Date: Mon, 11 Feb 2008 17:04:56 -0500 (EST)

Thanks Scott,
I do boot from U-BOOT, via Ethernet, but I'd never set the MDIO/MDC in U-BOOT. Actually, looking at the u-boot 's MPC8260ADS.h now, it is still setting the default 8272ADS boards' PC18/19 for MDC/MDIO - and my unit is using PD23/29.
I guess U-BOOT is probably working (for me) since it probably defaults to the defaults of PHY and maybe not checking for PHY errors???

I guess, it is probably worthwhile having the MDIO/MDC pins also  set up explicitly in mpc8272_ads_pins as opposed to relying on the boot loader.

Scott Wood <[email-masked]> wrote: NM wrote:
> My problem is solved now after probing the lines, MDC was not showing 
> any activity.
> So, after explicitly setting the PD23 (MDC) to : OUTPUT/GPIO in 
> mpc8272_ads_pins and  it worked in
> 
> I'd previously thought about that, but I was sure that this was being 
> taken care of, but now that I'm thinking of it, I'm questioning my belief. 
> I think in the fs_enet/mii-bitbang.c: mdio_dir(..) it is supposed to 
> take care of this.

No, the mdc pin is static; only bits which need to be changed 
dynamically are dealt with in mii-bitbang.c.  Either the firmware or the 
platform code should set up static pins.

> But why I had to explictly set it initially beats me. 
> I wonder how this works in standard distribution.

It's probably set up by u-boot normally, at least if you boot from ethernet.

-Scott

---------------------------------
Looking for the perfect gift? Give the gift of Flickr!